Authentication

auth-requestOtp

Send a request to obtain an OTP for transaction authentication. For accounts with 2FA type SMS/Email, the OTP is sent to the registered email/phone number. For accounts with 2FA type SmartOTP, the customer receives an approval request on the iBoard mobile app and can use the returned transactionId to call auth/token.

POST
/api/v3/auth/requestOtp

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
apiKeystringrequired

API key issued by SSI/FastConnect.

apiSecretstringrequired

API secret corresponding to the `apiKey`.

Response Headers

X-RATELIMIT-LIMITstringoptional

Request limit within the period.

X-RATELIMIT-REMAININGstringoptional

Number of requests remaining in the current period.

X-RATELIMIT-RESETstringoptional

Time at which the request limit resets.

Response Body

application/json

application/json

curl -X POST "https://api.ssi.com.vn/api/v3/auth/requestOtp" \  -H "Content-Type: application/json" \  -d '{    "apiKey": "string",    "apiSecret": "string"  }'

Success.

{
  "message": "Success",
  "transactionId": "f306c510-0647-417b-9210-bb5b7e155e77"
}

Invalid request.

{
  "code": 400,
  "msg": "apiKey is required"
}